Package com.independentsoft.graph

# Enum Class OutlookCategoryColor

java.lang.Object
java.lang.Enum<OutlookCategoryColor>
com.independentsoft.graph.OutlookCategoryColor

All Implemented Interfaces:
  `Serializable`, `Comparable<OutlookCategoryColor>`, `Constable`

public enum OutlookCategoryColor extends Enum<OutlookCategoryColor>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLACK`
  `BLUE`
  `BROWN`
  `CRANBERRY`
  `DARK_BLUE`
  `DARK_BROWN`
  `DARK_CRANBERRY`
  `DARK_GRAY`
  `DARK_GREEN`
  `DARK_OLIVE`
  `DARK_ORANGE`
  `DARK_PURPLE`
  `DARK_RED`
  `DARK_STEEL`
  `DARK_TEAL`
  `DARK_YELLOW`
  `GRAY`
  `GREEN`
  `NONE`
  `OLIVE`
  `ORANGE`
  `PURPLE`
  `RED`
  `STEEL`
  `TEAL`
  `YELLOW`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OutlookCategoryColor`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static OutlookCategoryColor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RED

    public static final OutlookCategoryColor RED

  - ### ORANGE

    public static final OutlookCategoryColor ORANGE

  - ### BROWN

    public static final OutlookCategoryColor BROWN

  - ### YELLOW

    public static final OutlookCategoryColor YELLOW

  - ### GREEN

    public static final OutlookCategoryColor GREEN

  - ### TEAL

    public static final OutlookCategoryColor TEAL

  - ### OLIVE

    public static final OutlookCategoryColor OLIVE

  - ### BLUE

    public static final OutlookCategoryColor BLUE

  - ### PURPLE

    public static final OutlookCategoryColor PURPLE

  - ### CRANBERRY

    public static final OutlookCategoryColor CRANBERRY

  - ### STEEL

    public static final OutlookCategoryColor STEEL

  - ### DARK_STEEL

    public static final OutlookCategoryColor DARK_STEEL

  - ### GRAY

    public static final OutlookCategoryColor GRAY

  - ### DARK_GRAY

    public static final OutlookCategoryColor DARK_GRAY

  - ### BLACK

    public static final OutlookCategoryColor BLACK

  - ### DARK_RED

    public static final OutlookCategoryColor DARK_RED

  - ### DARK_ORANGE

    public static final OutlookCategoryColor DARK_ORANGE

  - ### DARK_BROWN

    public static final OutlookCategoryColor DARK_BROWN

  - ### DARK_YELLOW

    public static final OutlookCategoryColor DARK_YELLOW

  - ### DARK_GREEN

    public static final OutlookCategoryColor DARK_GREEN

  - ### DARK_TEAL

    public static final OutlookCategoryColor DARK_TEAL

  - ### DARK_OLIVE

    public static final OutlookCategoryColor DARK_OLIVE

  - ### DARK_BLUE

    public static final OutlookCategoryColor DARK_BLUE

  - ### DARK_PURPLE

    public static final OutlookCategoryColor DARK_PURPLE

  - ### DARK_CRANBERRY

    public static final OutlookCategoryColor DARK_CRANBERRY

  - ### NONE

    public static final OutlookCategoryColor NONE

- ## Method Details

  - ### values

    public static OutlookCategoryColor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OutlookCategoryColor valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null